[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.AddStrings

Add contents of another stringlist to this list.

## Declaration

Source position: line 0

`public procedure TStrings.AddStrings(`
`TheStrings: TStrings`
`); virtual; overload; procedure TStrings.AddStrings(`
`const TheStrings: array of string`
`); virtual; overload;`

## Description

AddStrings adds the contents of TheStrings to the stringlist. Any associated objects are added as well.

## See also

TStrings.Add |  | Add a string to the list
TStrings.Assign |  | Assign the contents of another stringlist to this one.

Documentation generated on: Feb 26 2014